
/**
 * @file
 * GUI_Component base object.
 * @author TJ Holowaychuk <tj@vision-media.ca>
 * @link http://vision-media.ca
 * @package gui
 */

/**
 * Constructor.
 */
GUI_Component = function() {
	this.id = 0;
	this.name = '';
  this.element = null;
  this.settings = {};
};

/**
 * Query the components child elements.
 * 
 * @param string selector
 *
 * @return object
 *   jQuery.	
 */
GUI_Component.prototype.get = function(selector) {
  return $(selector, this.element);
};

/**
 * toString implementation.
 */
GUI_Component.prototype.toString = function() {
  return '[' + this.name + '-component: ' + this.id + ']';
};



